/*
 * Copyright (c) 2001-2006 NeuStar, Inc. All Rights Reserved.
 *
 * $Id: EppHelloTest.java,v 1.2 2006/03/01 01:35:38 wtan Exp $
 */
import com.neulevel.epp.core.*;
import com.neulevel.epp.core.command.*;
import com.neulevel.epp.core.response.*;

import org.w3c.dom.*;

/**
 * The <code>EppHelloTest</code> class tests functions of <code>EppHello</code>
 * commands.
 *
 * @author Ning Zhang ning.zhang@neustar.com
 * @version $Revision: 1.2 $ $Date: 2006/03/01 01:35:38 $
 */
public class EppHelloTest
{
	public static void main( String argv[] )
	{
		EppHello hello = new EppHello();
		System.out.println(hello);

		EppParser parser = new EppParser(hello.toString());
		if( parser.hasError() )
		{
			System.out.println(parser.getResult());
			System.exit(1);
		}

		Node epp = parser.getRootNode();
		EppHello newhello = (EppHello) EppHello.fromXML(epp);
		if( newhello == null )
		{
			System.out.println("Error in fromXML");
			System.exit(1);
		}
		System.out.println(newhello);
	}
}
